### **一、功能概述**

 - **订单业务**：CRM订单管理系统可以实现订单的自动创建、处理、跟踪和关闭，整合销售、供应链和客户支持等业务流程。同时，也能通过分析订单的历史数据，总结出订单的特点和规律，帮助企业更好地制定销售策略和优惠政策。
 - **出库业务**：CRM系统通过库存管理功能，可以实时掌握库存情况，当订单被确认后，系统会自动进行库存扣减，并生成出库单。出库单会详细列出需要出库的产品、数量、批次等信息，以便仓库人员按照出库单进行拣货和发货，打通物流与库存的边界，形成业务流通。
 - **退货业务**：当客户需要退货时，可以通过CRM系统提交退货申请。系统会自动审核退货申请，并生成退货单。退货单会详细列出退货的产品、数量、原因等信息。仓库人员收到退货后，会进行验收并更新库存信息。
 - **退换货业务**：退换货业务是退货业务和出库业务的结合。当客户需要退换货时，可以先通过CRM系统提交退货申请并完成退货流程。然后，客户可以重新下单购买需要的产品，CRM系统会再次进行出库流程，将新的产品发送给客户。

### 二、核心服务说明
<table class="relative-table confluenceTable" style="width: 48.587%;" resolved="">
	<colgroup>
		<col style="width: 18.589%;">
		<col style="width: 11.0862%;">
		<col style="width: 8.51064%;">
		<col style="width: 31.243%;">
		<col style="width: 30.5711%;">
	</colgroup>
	<tbody>
		<tr>
			<th class="confluenceTh">类名</th>
			<th class="confluenceTh">类说明</th>
			<th class="confluenceTh">请求类型</th>
			<th class="confluenceTh">请求地址</th>
			<th colspan="1" class="confluenceTh">接口说明</th>
		</tr>
		<tr>
			<td rowspan="62" class="confluenceTd">
				<p>OrderErpRest</p>
			</td>
			<td rowspan="62" class="confluenceTd">订单
			</td>
			<td class="confluenceTd">POST</td>
			<td class="confluenceTd">
				<p>
					<span style="color: rgb(0,0,0);">/api/ordererp/getlistnew</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,0,0);">查询所有订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">POST</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">
						<span style="color: rgb(0,0,0);">/api/ordererp</span>/getlistnew/my
					</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">POST</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlistnew/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询别人共享给我的客户订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlistnew/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我负责部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlistnew/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我参与部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlistnew/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询所有的服务订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlistnew/asset</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询所有的资产订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询所有的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询别人共享给我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我负责部门的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我参与的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getlist/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我参与的订单列表数据（服务订单）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">GET</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/homeorder4Mobile</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询生科订单首页指标信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/advance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/listAdvance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getorderinfo</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单编号查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getorderinfo/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(98,151,85);">根据订单</span>
					<span style="color: rgb(98,151,85);">id</span>
					<span style="color: rgb(98,151,85);">查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getbyordercode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单编号查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/get/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单</span>
					<span style="color: rgb(106,135,89);">id</span>
					<span style="color: rgb(106,135,89);">查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">/save</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">保存订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">/save4Mobile</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">保存订单（手机端）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/deletebyid</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据</span>
					<span style="color: rgb(106,135,89);">id</span>
					<span style="color: rgb(106,135,89);">删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getadvancelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(98,151,85);">根据租户</span>
					<span style="color: rgb(98,151,85);">ID</span>
					<span style="color: rgb(98,151,85);">和客户编码查询该客户所有预付款余额大于</span>
					<span style="color: rgb(98,151,85);">0</span>
					<span style="color: rgb(98,151,85);">的预付款订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/checklowerprice</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/checklowerpriceForModify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/closeorder</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单编号关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/modifydetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">修改订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">/createspecialorder</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">创建特殊订单（</span>
					<span style="color: rgb(106,135,89);">-G</span>
					<span style="color: rgb(106,135,89);">、</span>
					<span style="color: rgb(106,135,89);">-C</span>
					<span style="color: rgb(106,135,89);">）订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/saveandcheck</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">新增对象并发起低价审批</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/lowerFlowSubmit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">处理低价审批流程</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/dealOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">处理待办需要审批的订单详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/returnofclose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">退货关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">获取当前明细的库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/judgedownstream</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单编码判断该订单是否有下游单据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getprogressbyid/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单</span>
					<span style="color: rgb(106,135,89);">ID</span>
					<span style="color: rgb(106,135,89);">查询订单进展信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/update</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getadvancebymodify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">修改订单明细时查询预付款明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getalldetailsbycodes</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单</span>
					<span style="color: rgb(106,135,89);">code</span>
					<span style="color: rgb(106,135,89);">集合查询所有的订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/checkorderstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(98,151,85);">提交之前检查库存是否足够</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/modifySale</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">修改现销售</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/initInvorderWriteamount</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">初始化预开票发货订单的收款金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/modifyOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(98,151,85);">修改订单的订单状态，出库状态，开票状态，未出库金额，未开票金额，价税合计，实际价税合计信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/initOrderWriteamountByWhere</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据开票年份、开票月份初始化订单的收款金额、收款情况</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(152,118,170);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/checkBatchLock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">校验是否存在批次锁定客户的订单明细在</span>
					<span style="color: rgb(106,135,89);">ERP</span>
					<span style="color: rgb(106,135,89);">的待发库里存在库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/initActMoney</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">运维工具计算实际出库金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(152,118,170);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getOrderErpByOrderCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单编号获取订单编码列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getorderprogress</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据订单</span>
					<span style="color: rgb(106,135,89);">id</span>
					<span style="color: rgb(106,135,89);">查询订单进展</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/get4Mobile/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据</span>
					<span style="color: rgb(106,135,89);">id</span>
					<span style="color: rgb(106,135,89);">获取订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/sendlessmsg</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">检查订单明细是否缺货并通知</span>
					<span style="color: rgb(106,135,89);">POM</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/getFullactivityList/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">查询我的全线订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/isInvoiced</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">是否开票</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/sapAdd</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">对接</span>
					<span style="color: rgb(106,135,89);">sap</span>
					<span style="color: rgb(106,135,89);">新增订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/sapUpdate</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">对接</span>
					<span style="color: rgb(106,135,89);">sap</span>
					<span style="color: rgb(106,135,89);">更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/sapDelete</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">对接</span>
					<span style="color: rgb(106,135,89);">sap</span>
					<span style="color: rgb(106,135,89);">删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/sapClose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">对接</span>
					<span style="color: rgb(106,135,89);">sap</span>
					<span style="color: rgb(106,135,89);">关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/findOrderByProductCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据定制产品编码查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/check</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">校验明细是否包含需要弱提示的货号</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/initProductType</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">初始化产品类型</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/listAssert/{instrumentCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">根据仪器下单编码获取其下的所有资产订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/privew/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">预览订单</span>
					<span style="color: rgb(106,135,89);">invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(106,135,89);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">/downloadInvoice/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(106,135,89);">下载订单</span>
					<span style="color: rgb(106,135,89);">invoice</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>



### 三、数据库设计
![输入图片说明](/imgs/2024-02-26/zEMchSXOG3lTAz26.jpeg)
### 四、代码运行截图
![输入图片说明](/imgs/2024-02-26/S9LSKlxBUTuARe05.png)
<!--stackedit_data:
eyJoaXN0b3J5IjpbMjEyNjA2NTYyOSwyMDYzNjg5NTkyLC03Nz
QwNjk1ODUsLTE4ODY0NjIwMDQsLTEwMDY1MDUxMjIsLTE4NTMz
NjY2NzUsNzAyNjI1Njc2LDY1MTE5MTI5MCwtMTQ4MjA3NjMyMy
wzMjU3MzAwMzIsLTE2ODM4NTgyNiwyODI0MDAwMjcsMTg2NTk3
NDgwNiwxMzc0NjQ0MTgwLC0yNzczMzUwNSwtMjA2NTcyNzUzOS
wtNTE2NDI4MDZdfQ==
-->